book/urls.py
from django.urls import path
import upisalsa.urls
from . import views

app_name = 'book'

urlpatterns = [
    path('book/', views.bukuData, name= 'book'),
]

buku/urls.py
from django.urls import path
import upisalsa.urls
from . import views

app_name = 'buku'

urlpatterns = [
    path('buku/', views.bukuData, name= 'buku'),
    path('data/', views.data, name='data'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('profile/', views.profile, name='profile'),
]

matkul/urls.py
from django.urls import path
import upisalsa.urls
from . import views

app_name = 'matkul'

urlpatterns = [
    path('kuliah/', views.saveMatkul, name= 'kuliah'),
    path('kuliah/readMatkul/', views.readMatkul, name='readMatkul'),
    path('kuliah/readMatkul/delete/<str:mata_kuliah>', views.delete, name = 'delete'),
    

]

story1/urls.py
from django.urls import path
from . import views

app_name = 'story1'

urlpatterns = [
    path('story1/', views.index, name='index'),
]

upisalsa/urls.py
from django.contrib import admin
from django.urls import include, path
# from django.views.generic.base import TemplateView

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('profile/', include('main.urls')),
    path('story1/', include('story1.urls')),
    path('kuliah/', include('matkul.urls')),
    path('kegiatan/', include('kegiatan.urls')),
    path('', include('buku.urls')),
    path('', include('book.urls')),
    path('accounts/', include('accounts.urls')),
    path('accounts/', include('django.contrib.auth.urls')),

]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <link rel="stylesheet" href="/resources/demos/style.css"> 
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script> 
  

  
  {% block meta %}
  {% endblock meta %}
  <style>
    ul {
      list-style-type: none;
      margin: 0;
      padding: 0;
      overflow: hidden;
      width: 100%;
      background-color: #900000;
      
    }
    li {
      float: left;
    }
    li a, .dropbtn {
      display: inline-block;
      color: rgb(255, 255, 255);
      text-align: center;
      padding: 14px 16px;
      text-decoration: none;
    }
    li a:hover, .dropdown:hover .dropbtn {
      background-color: rgba(0, 0, 0, 0.842);
    }
    li.dropdown {
      display: inline-block;
    }
    .dropdown-content {
      display: none;
      position: absolute;
      background-color: #000000;
      min-width: 160px;
      box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
      z-index: 1;
    }
    .dropdown-content a {
      color: rgb(25, 208, 253);
      padding: 12px 16px;
      text-decoration: none;
      display: block;
      text-align: left;
    }
    .dropdown-content a:hover {background-color:rgba(168, 11, 11, 0.842);}
    .dropdown:hover .dropdown-content {
      display: block;
    }
    </style>
</head>
<body> 
  <ul>
    <li><a href="{% url 'main:home' %}">AboutMe</a></li>
    <li><a href="{% url 'main:profile' %}" onclick="hore();">Personal Profile</a></li>
    <li><a href="{% url 'story1:index' %}">Story 1</a></li>
    {% if user.is_authenticated %}
    <li><a href="{% url 'matkul:kuliah' %}">Mata Kuliah</a></li>
    <li><a href="{% url 'kegiatan:kegiatan' %}">Kegiatan</a></li>
    <li><a href="{% url 'buku:buku' %}">Buku</a></li>
    <li><a href="#contact">ContactMe</a></li> 
    <li><a style="margin-left: 300px; color: beige;">Hi,{{user.username}}</a></li>
    <li><a href="{% url 'logout' %}">Logout</a></li>
    {% else %}
    <li><a href="{% url 'login' %}">Mata Kuliah</a></li>
    <li><a href="{% url 'login' %}">Kegiatan</a></li>
    <li><a href="{% url 'login' %}">Buku</a></li>
    <li><a href="#contact">ContactMe</a></li> 
    <li><a style="margin-left: 500px;" href="{% url 'login' %}">Login</a></li> 
    {% endif %}
    
  </ul>
  {% block content %}
  {% endblock content %}
  <div class="heading">
    <p id="contact">ContactMe</p>
</div>
<div class="p-3 mb-2t text-white" style="background-color: #900000">
    <div class="kontak" id = "box2">
        <a href="https://www.instagram.com/luthfiahiskandar/?hl=id">Instagram</a>
        &nbsp; &nbsp; &nbsp;
        <a href="mailto:luthfiahsalsabillah81@gmail.com">Email</a>
        &nbsp; &nbsp; &nbsp;
        <a href="www.linkedin.com/in/luthfiah-salsabillah-iskandar-1358551a0">LinkedIn</a>
    </div>
</div> 


</body>
</html>